Change a staff user's role
Minimum role: ADMIN. Active workspace via the X-Workspace-Id header.
PATCH
/staff/{id}/roleAuthorization
AuthorizationAPI key · headerrequiredAPI key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).
or
x-api-keyAPI key · headerrequiredRaw API key (without Bearer ), alternative to Authorization.
Path parameters
idstringrequiredHeader parameters
X-Workspace-IdstringActive workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).
Request body
requiredapplication/jsonrolestringrequiredAllowed:
SUPER_ADMINADMINSTAFFVIEWERMINCULTURAResponses
200
OK
dataStaffUserrequiredShow propertiesHide properties
idstringrequirednamestringrequiredemailstringrequiredrolestringrequiredAllowed:
SUPER_ADMINADMINSTAFFVIEWERMINCULTURAorganizationIdstring | nullrequiredShow propertiesHide properties
Any of:
string
stringnull
nullworkspaceIdstringworkspaceNamestringcreatedAtstringrequired401
Missing or invalid credential.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany403
Insufficient role or resource not accessible.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany404
Resource does not exist or is out of scope.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany409
Conflict: the resource does not allow this operation in its current state.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany422
Request body/parameter validation failed.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequiredretryablebooleanrequireddetailsany
